﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'MAST' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_MAST')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_MAST on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_MAST] DEFAULT ((0)) FOR [MAST]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV1 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV1] DEFAULT ((0)) FOR [SLAV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV2 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV2] DEFAULT ((0)) FOR [SLAV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV3 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV3] DEFAULT ((0)) FOR [SLAV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV4 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV4] DEFAULT ((0)) FOR [SLAV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV5 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV5] DEFAULT ((0)) FOR [SLAV5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV6 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV6] DEFAULT ((0)) FOR [SLAV6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV7 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV7] DEFAULT ((0)) FOR [SLAV7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV8 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV8] DEFAULT ((0)) FOR [SLAV8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV9 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV9] DEFAULT ((0)) FOR [SLAV9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV10 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV10] DEFAULT ((0)) FOR [SLAV10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV11 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV11] DEFAULT ((0)) FOR [SLAV11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV12 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV12] DEFAULT ((0)) FOR [SLAV12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV13 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV13] DEFAULT ((0)) FOR [SLAV13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV14 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV14] DEFAULT ((0)) FOR [SLAV14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV15')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV15 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV15] DEFAULT ((0)) FOR [SLAV15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV16')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV16 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV16] DEFAULT ((0)) FOR [SLAV16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV17')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV17 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV17] DEFAULT ((0)) FOR [SLAV17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV18')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV18 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV18] DEFAULT ((0)) FOR [SLAV18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV19')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV19 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV19] DEFAULT ((0)) FOR [SLAV19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV20')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV20 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV20] DEFAULT ((0)) FOR [SLAV20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV21' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV21')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV21 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV21] DEFAULT ((0)) FOR [SLAV21]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV22' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV22')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV22 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV22] DEFAULT ((0)) FOR [SLAV22]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV23' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV23')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV23 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV23] DEFAULT ((0)) FOR [SLAV23]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV24' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV24')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV24 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV24] DEFAULT ((0)) FOR [SLAV24]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV25' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV25')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV25 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV25] DEFAULT ((0)) FOR [SLAV25]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV26' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV26')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV26 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV26] DEFAULT ((0)) FOR [SLAV26]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV27' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV27')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV27 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV27] DEFAULT ((0)) FOR [SLAV27]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV28' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV28')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV28 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV28] DEFAULT ((0)) FOR [SLAV28]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV29' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV29')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV29 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV29] DEFAULT ((0)) FOR [SLAV29]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV30' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV30')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV30 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV30] DEFAULT ((0)) FOR [SLAV30]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSNID' AND COLUMN_NAME = 'SLAV31' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSNID_SLAV31')
BEGIN 
    PRINT 'Creating default constraint DF_SYSNID_SLAV31 on table SYSNID' 
    ALTER TABLE [dbo].[SYSNID]
    ADD CONSTRAINT [DF_SYSNID_SLAV31] DEFAULT ((0)) FOR [SLAV31]
END 
GO

